<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Teilnehmer\Dokumente;

class ControllerFactory
{
  public function getController($pAction)
  {
    switch ($pAction) {
      default:
      case 'dokumentenuebersicht':
        return new DokumenteUebersicht\DokumenteUebersichtController();
      case 'dokumenteDownload':
        return new DokumenteDownload\DokumenteDownloadController();
      case 'dokumenteUploadFormular':
        return new DokumenteUpload\DokumenteUploadFormularController();
      case 'dokumenteUpload':
        return new DokumenteUpload\DokumenteUploadController();
    }
  }
}